notify-dpml AT lists.ibiblio.org
Subject: DPML Notify
List archive
svn commit: r2474 - in development/main: . transit
- From: niclas AT hedhman.org
- To: notify-dpml AT lists.ibiblio.org
- Subject: svn commit: r2474 - in development/main: . transit
- Date: Mon, 09 May 2005 10:55:50 -0400
Author: niclas AT hedhman.org
Date: Mon May 9 10:55:42 2005
New Revision: 2474
Modified:
development/main/build.bat
development/main/build.sh
development/main/transit/standard.xml
Log:
No first step build for JUnit. The scripts should now detect the condition
and go again automatically.
Modified: development/main/build.bat
==============================================================================
--- development/main/build.bat (original)
+++ development/main/build.bat Mon May 9 10:55:42 2005
@@ -51,7 +51,9 @@
del/q .ant\lib\dpml-*.jar
POPD
PUSHD transit
+:transit_again
CALL :build clean install
+IF ERRORLEVEL 99 goto transit_again
POPD
GOTO :EOF
Modified: development/main/build.sh
==============================================================================
--- development/main/build.sh (original)
+++ development/main/build.sh Mon May 9 10:55:42 2005
@@ -16,14 +16,18 @@
build()
{
- if [ -n "$ID" ] ; then
+ STATUS=99
+ while [ "$STATUS" -eq 99 ] ; do
+ if [ -n "$ID" ] ; then
BUILD_ID="-Ddpml.release.signature=$ID"
- else
+ else
BUILD_ID=""
- fi
- echo "building project with release ID [$ID]"
- ant $BUILD_ID "$@"
- if [ "$?" == 0 ] ; then
+ fi
+ echo "building project with release ID [$ID]"
+ ant $BUILD_ID "$@"
+ STATUS="$?"
+ done
+ if [ "$STATUS" == 0 ] ; then
echo ""
else
exit 1
Modified: development/main/transit/standard.xml
==============================================================================
--- development/main/transit/standard.xml (original)
+++ development/main/transit/standard.xml Mon May 9 10:55:42 2005
@@ -143,7 +143,7 @@
# to include the junit file within ant's classloader please restart the
build.
#----------------------------------------------------------------------------------
</echo>
- <fail message="Ant lib updated. Please restart build procedure."/>
+ <fail status="99" message="Ant lib updated. Please restart build
procedure."/>
</target>
<!-- project setup -->
- svn commit: r2474 - in development/main: . transit, niclas, 05/09/2005
Archive powered by MHonArc 2.6.24.